## tdeedu-trinity 14.0.8

=== kalzium/src/CMakeLists.txt ===
add_subdirectory( icons       )
add_subdirectory( elementpics )
add_subdirectory( data        )
tde_conditional_add_subdirectory( WITH_OCAML_SOLVER solver )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/libtdeedu/tdeeduplot
  ${CMAKE_SOURCE_DIR}/libtdeedu/tdeeduui
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
  ${OCAML_LIBRARY_DIR}
)

if( WITH_OCAML_SOLVER )
  set( OCAML_LIBRARIES asmrun nums m ${CMAKE_DL_LIBS} )
  set( OCAML_SOLVER
    ${CMAKE_CURRENT_BINARY_DIR}/solver/modwrap.o
    ${CMAKE_CURRENT_BINARY_DIR}/solver/solver.o
  )
else( )
  add_custom_target( kalzium_solver COMMENT "Empty kalzium solver" )
endif( )


##### kalzium (executable)

tde_add_executable( kalzium AUTOMOC

  SOURCES
        prefs.kcfgc
        settings_colors.ui
        settings_misc.ui
        settings_units.ui
        plotsetupwidget.ui
        molcalcwidgetbase.ui
        timewidget.ui
        somwidget.ui
        spectrumview.ui
        eqresult.cpp
        eqchemview.cpp
        kalzium.cpp
        main.cpp
        periodictableview.cpp
        element.cpp
        detailinfodlg.cpp
        orbitswidget.cpp
        plotwidget.cpp
        elementdataviewer.cpp
        detailedgraphicaloverview.cpp
        molcalcwidget.cpp
        timewidget_impl.cpp
        somwidget_impl.cpp
        kalziumtip.cpp
        spectrum.cpp
        isotope.cpp
        kalziumdataobject.cpp
        spectrumwidget.cpp
        exporter.cpp
        spectrumviewimpl.cpp
        kalziumutils.cpp
        parser.cpp
        moleculeparser.cpp
        tempunit.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdehtml-shared
     tdeeduplot-shared
     tdeeduui-shared
     ${OCAML_SOLVER}
     ${OCAML_LIBRARIES}

  DEPENDENCIES
     kalzium_solver

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

install(
    FILES kalziumui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kalzium
)

install(
    FILES kalzium.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
    FILES kalzium.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

=== kig/tdefile/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tdefile_drgeo (kpart)

tde_add_kpart( tdefile_drgeo AUTOMOC

  SOURCES
        tdefile_drgeo.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdefile_kig (kpart)

tde_add_kpart( tdefile_kig AUTOMOC

  SOURCES
        tdefile_kig.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

install(
    FILES tdefile_drgeo.desktop tdefile_kig.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== kmplot/kmplot/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### target for generating common files

add_custom_target( kmplot-generated-common
    DEPENDS
        ${CMAKE_CURRENT_BINARY_DIR}/settings.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/FktDlgData.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/qminmax.cpp
)


##### kmplot (executable)

tde_add_executable( kmplot AUTOMOC

  SOURCES
        main.cpp
        kmplot.cpp
        kmplotprogress.cpp
        kmplotIface.skel
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared

  DEPENDENCIES
    kmplot-generated-common

  DESTINATION ${BIN_INSTALL_DIR}
)

##### libkmplotpart (kpart)

tde_add_kpart( libkmplotpart AUTOMOC

  SOURCES
        settings.kcfgc
        FktDlgData.ui
        qminmax.ui
        settingspagecolor.ui
        settingspagecoords.ui
        settingspagefonts.ui
        settingspagescaling.ui
        settingspageprecision.ui
        qparametereditor.ui
        qeditparametric.ui
        qeditpolar.ui
        editfunctionpage.ui
        editderivativespage.ui
        editintegralpage.ui
        qeditconstant.ui
        qconstanteditor.ui
        sliderwindow.ui
        parser.cpp
        xparser.cpp
        diagr.cpp
        View.cpp
        MainDlg.cpp
        FktDlg.cpp
        kprinterdlg.cpp
        kconstanteditor.cpp
        kparametereditor.cpp
        keditparametric.cpp
        keditpolar.cpp
        editfunction.cpp
        kminmax.cpp
        keditconstant.cpp
        kmplotio.cpp
        ksliderwindow.cpp
        coordsconfigdialog.cpp
        MainDlgIface.skel
        parseriface.skel
        Viewiface.skel
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeprint-shared
     tdeparts-shared

  DEPENDENCIES
    kmplot-generated-common

  DESTINATION ${PLUGIN_INSTALL_DIR}
)

##### other data

install(
    FILES kmplot_shell.rc
    DESTINATION ${DATA_INSTALL_DIR}/kmplot
)

install(
    FILES x-kmplot.desktop
    DESTINATION ${MIME_INSTALL_DIR}/application
)

install(
    FILES kmplot.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
    FILES kmplot_part.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

install(
    FILES kmplot_part.rc kmplot_part_readonly.rc
    DESTINATION ${DATA_INSTALL_DIR}/kmplot
)

install(
    FILES kmplot.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

=== kturtle/src/CMakeLists.txt ===
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kturtle (executable)

tde_add_executable( kturtle AUTOMOC

  SOURCES
        main.cpp
        kturtle.cpp
        canvas.cpp
        dialogs.cpp
        value.cpp
        lexer.cpp
        parser.cpp
        executer.cpp
        treenode.cpp
        token.cpp
        translate.cpp
        settings.kcfgc
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeprint-shared
     tdeparts-shared
     katepartinterfaces-shared

  DESTINATION ${BIN_INSTALL_DIR}
)

set_property(
    SOURCE canvas.cpp lexer.cpp translate.cpp
    APPEND PROPERTY OBJECT_DEPENDS
        ${CMAKE_BINARY_DIR}/kturtle/src/settings.cpp
)


##### icons

tde_install_icons( kturtle )


##### other data

install(
    FILES kturtleui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kturtle
)

install(
    FILES kturtle.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
    FILES kturtle.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

## tdeedu-trinity 14.0.4

=== debian/changelog ===
tdeedu-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 11:55:15 +0200

tdeedu-trinity (4:3.5.10-0ubuntu5) karmic; urgency=low

  * Karmic rebuild number 2

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 13 Dec 2009 01:19:00 -0600

tdeedu-trinity (4:3.5.10-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

tdeedu-trinity (4:3.5.10-0ubuntu1~intrepid4) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 03 March 2009 17:24:00 -0600

tdeedu-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * SVN Import

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 29 Sep 2008 15:17:00 -0600

tdeedu (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump version of tdelibs4-dev build-dep to 3.5.10
    - Drop usr/bin/test_extdate and usr/bin/test_extdatepicker from
      debian/libtdeedu-dev.install

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:41:56 -0400

tdeedu (4:3.5.9-0ubuntu2) hardy; urgency=low

  * Fix overwrite, kalzium-data conflicts/replaces old kalzium

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Mar 2008 20:41:48 +0000

tdeedu (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:06 +0000

tdeedu (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 10:45:18 +0000

tdeedu (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change:
   - No omcal build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:43 +0000

tdeedu (4:3.5.8-1) unstable; urgency=low

  * New upstream release.
    + Patches: remove 11_kig+boost_autoconf_check, merged upstream.
    + Update *.install files.
  * Update section in Debian menu files.
  
  * Implement use of uploaders.mk and update uploaders.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 16 Oct 2007 16:19:11 +0200

tdeedu (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:25 +0100

tdeedu (4:3.5.7-1ubuntu2) gutsy; urgency=low

  * Rebuild for boost 1.34.0 -> 1.34.1 transistion.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 13 Sep 2007 11:06:00 +1000

tdeedu (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * New Upstream Version
  * Modify Maintainer value to match Debian-Maintainer-Field Spec
  * Removed kubuntu_02_python2.5.diff - fixed upstream

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed, 23 May 2007 12:49:14 +1000

tdeedu (4:3.5.7-1) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * New upstream version.
    - fix issues with accented chars in ktouch. (Closes: #360985)
    - kwordquiz desktop file is now installed the right place. 
    - patch upstream build system regarding boost. It doesn't find the debian
      boost version. Thanks to Daniel Schepler for doing the nice checks in
      debian/rules to catch this.

  +++ Changes by Daniel Schepler:

  * debian/control: Add kgeography to the tdeedu metapackage.

 -- Sune Vuorela <debian@pusling.com>  Wed, 16 May 2007 12:29:33 +0200

tdeedu (4:3.5.6-3ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:54 +0100

tdeedu (4:3.5.6-3) unstable; urgency=low

  +++ Changes by Daniel Schepler:

  * debian/control: Add kgeography to the tdeedu metapackage.

 -- Daniel Schepler <schepler@debian.org>  Tue, 24 Apr 2007 22:37:43 -0400

tdeedu (4:3.5.6-2) unstable; urgency=low

  * Upload to unstable after Etch release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Apr 2007 17:06:10 +0100

tdeedu (4:3.5.6-1) experimental; urgency=low

  * New upstream version.
    - fixes typo in Hercules constellation in kstars. (Closes: #395849)
  * Make tdeedu-dbg depend on tdelibs-dbg to get useful backtraces when
    debugging.

  +++ Changes by Sune Vuorela:
  * Update kfreebsd install files. (Closes: 399235)
  * Remove patch 12_fr_keyboard (applied upstream).
  * Enable more keyboardlayouts in ktouch. (Closes: #398735)
  * Don't relibtoolize on-the-fly, but use buildprep instead.
    - adapt build depends accordingly.
  * Okay. Yann Dirson wins. Let us try to ship the kig python
    script api docs (Closes: #394517). Needs to build-dep on doxygen.
    This should really be moved to its own binary-indep package soonish.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 20 Jan 2007 16:55:45 +0100

tdeedu (4:3.5.6-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Remove 12_fr_keyboard.diff
  * Add kubuntu_02_python2.5.diff for python 2.5 detection

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jan 2007 11:22:30 +0000

tdeedu (4:3.5.5-1ubuntu3) feisty; urgency=low

  * Rebuild for python2.5.
  * Teach kig about python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Jan 2007 00:57:51 +0000

tdeedu (4:3.5.5-1ubuntu2) feisty; urgency=low

  * Up the replaces on indi of kstars to fix https://launchpad.net/bugs/78964

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 14 Jan 2007 12:49:44 +0000

tdeedu (4:3.5.5-1ubuntu1) feisty; urgency=low

  * Merge with Debian
  * Compile with --enable-gcc-hidden-visibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Nov 2006 20:14:40 +0000

tdeedu (4:3.5.5-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete Recommends: kcontrol, along with the accompanying
    blurb in the package description, which is no longer needed because
    of the Depends: ttf-sjfonts.

 -- Daniel Schepler <schepler@debian.org>  Sun,  8 Oct 2006 14:26:21 +0200

tdeedu (4:3.5.4-2) unstable; urgency=low



=== debian/control ===
Source: tdeedu-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: ocaml-nox, libfacile-ocaml-dev, libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, gawk, gettext, tdelibs14-trinity-dev, libboost-python-dev (>= 1.33.1), libusb-dev, sharutils, doxygen, graphviz, texlive-latex-base, ghostscript, libogg-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: tdeedu-trinity
Architecture: all
Section: tde
Replaces: kdeedu-kde3 (<< 4:14.0.0~), kdeedu-trinity (<< 4:14.0.0~)
Breaks: kdeedu-kde3 (<< 4:14.0.0~), kdeedu-trinity (<< 4:14.0.0~)
Depends: blinken-trinity (>= ${Source-Version}), kalzium-trinity (>= ${Source-Version}), kanagram-trinity (>= ${Source-Version}), kbruch-trinity (>= ${Source-Version}), tdeedu-data-trinity (>= ${Source-Version}), keduca-trinity (>= ${Source-Version}), kgeography-trinity (>= ${Source-Version}), khangman-trinity (>= ${Source-Version}), kig-trinity (>= ${Source-Version}), kiten-trinity (>= ${Source-Version}), klatin-trinity (>= ${Source-Version}), klettres-trinity (>= ${Source-Version}), kmplot-trinity (>= ${Source-Version}), kpercentage-trinity (>= ${Source-Version}), kstars-trinity (>= ${Source-Version}), ktouch-trinity (>= ${Source-Version}), kturtle-trinity (>= ${Source-Version}), kverbos-trinity (>= ${Source-Version}), kvoctrain-trinity (>= ${Source-Version}), kwordquiz-trinity (>= ${Source-Version}), indi-trinity (>= ${Source-Version})
Suggests: tdeedu-trinity-doc-html
Description: educational apps from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes educational applications provided with the
 official release of Trinity.

Package: tdeedu-data-trinity
Architecture: all
Section: tde
Replaces: kdeedu-data-kde3 (<< 4:14.0.0~), kdeedu-data-trinity (<< 4:14.0.0~)
Breaks: kdeedu-data-kde3 (<< 4:14.0.0~), kdeedu-data-trinity (<< 4:14.0.0~)
Description: shared data for Trinity educational applications
 This package contains shared data necessary for running the
 educational applications provided with TDE (the Trinity Desktop
 Environment).
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: tdeedu-trinity-dbg
Architecture: any
Priority: extra
Replaces: kdeedu-kde3-dbg (<< 4:14.0.0~), kdeedu-trinity-dbg (<< 4:14.0.0~)
Breaks: kdeedu-kde3-dbg (<< 4:14.0.0~), kdeedu-trinity-dbg (<< 4:14.0.0~)
Depends: tdelibs-trinity-dbg
Section: libdevel
Description: debugging symbols for tdeedu-trinity
 This package contains the debugging symbols associated with tdeedu-trinity.
 They will automatically be used by gdb for debugging tdeedu-related
 issues.

Package: tdeedu-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdeedu-kde3-doc-html (<< 4:14.0.0~), kdeedu-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdeedu-kde3-doc-html (<< 4:14.0.0~), kdeedu-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdeedu-trinity
Description: Trinity edutainment documentation in HTML format
 By default the educational applications provided with TDE (the Trinity
 Desktop Environment) only provide their documentation in TDE docbook
 format, which can only be read by Konqueror or KHelpCenter. This
 package provides all of the TDE edutainment documentation converted
 to HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kalzium/. Documentation is provided for
 most TDE educational packages.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: blinken-trinity
Architecture: any
Section: games
Replaces: blinken-kde3 (<< 4:14.0.0~), blinken-trinity (<< 4:14.0.0~)
Breaks: blinken-kde3 (<< 4:14.0.0~), blinken-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ttf-sjfonts, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: Trinity version of the Simon Says electronic memory game
 Blinken is based on an electronic game released in 1978, which
 challenges players to remember sequences of increasing length.  On
 the face of the device, there are 4 different color buttons, each
 with its own distinctive sound.  These buttons light up randomly,
 creating the sequence that the player must then recall.  If the
 player is successful in remembering the sequence of lights in the
 correct order, they advance to the next stage, where an identical
 sequence with one extra step is presented.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kalzium-trinity
Architecture: any
Section: science
Replaces: kalzium-kde3 (<< 4:14.0.0~), kalzium-trinity (<< 4:14.0.0~)
Breaks: kalzium-kde3 (<< 4:14.0.0~), kalzium-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kalzium-data-trinity (>> ${TDE-Version3}~), kalzium-data-trinity (<< ${TDE-Next-Version3}~), tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: chemistry teaching tool for Trinity
 Kalzium is a program which shows you the Periodic System of Elements
 (PSE).  You can use Kalzium to search for information about the
 elements or to learn facts about the PSE.
 .
 Kalzium provides you with all kinds of information about the PSE.
 You can look up lots of information about the elements and also use
 visualisations to show them.
 .
 You can visualise the Periodic Table of the Elements by blocks,
 groups, acidic behavior or different states of matter.  You can also
 plot data for a range of elements (weight, mean weight, density, IE1,
 IE2, electronegativity), and you can go back in time to see what
 elements were known at a given date.  In addition, on platforms where
 OCaml supports native code generation, Kalzium includes a chemical
 equation solver.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kalzium-data-trinity
Architecture: all
Section: science
Replaces: kalzium-data-kde3 (<< 4:14.0.0~), kalzium-data-trinity (<< 4:14.0.0~)
Breaks: kalzium-data-kde3 (<< 4:14.0.0~), kalzium-data-trinity (<< 4:14.0.0~)
Description: data files for Kalzium
 This package contains architecture-independent data files for
 Kalzium, the TDE periodic table application.  This includes pictures
 of various chemical equipment and of samples of several elements, in
 addition to the actual chemical data.
 .
 See the kalzium package for further information.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kanagram-trinity
Architecture: any
Section: games
Replaces: kanagram-kde3 (<< 4:14.0.0~), kanagram-trinity (<< 4:14.0.0~)
Breaks: kanagram-kde3 (<< 4:14.0.0~), kanagram-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: letter order game for Trinity
 KAnagram is a game that is based on the word/letter puzzles that the
 author played as a child.  A word is picked at random and displayed
 with its letters in a messed order, with difficulty dependent on the
 chosen level.  You have an unlimited number of attempts, and scores
 are kept.
 .
 It is a very simply constructed game, with 3 difficulty levels of
 play.  It is fully customizable, allowing you to write in your own
 words and set your own 'look and feel' of the game.  It is aimed for
 children aged 10+ because of the difficulty, but of course everyone
 is welcome to try.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kbruch-trinity
Architecture: any
Section: math
Replaces: kbruch-kde3 (<< 4:14.0.0~), kbruch-trinity (<< 4:14.0.0~)
Breaks: kbruch-kde3 (<< 4:14.0.0~), kbruch-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: fraction calculation teaching tool for Trinity
 KBruch is a small program to practice calculating with fractions.
 Different exercises are provided for this purpose.  The program
 checks the user's input and gives feedback.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: keduca-trinity
Architecture: any
Section: tde
Replaces: keduca-kde3 (<< 4:14.0.0~), keduca-trinity (<< 4:14.0.0~)
Breaks: keduca-kde3 (<< 4:14.0.0~), keduca-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: interactive form-based tests for Trinity
 KEduca is a flash-card application which allows you to make
 interactive form-based tests.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kgeography-trinity
Architecture: any
Section: tde
Replaces: kgeography-kde3 (<< 4:14.0.0~), kgeography-trinity (<< 4:14.0.0~)
Breaks: kgeography-kde3 (<< 4:14.0.0~), kgeography-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kgeography-data-trinity (>> ${TDE-Version3}~), kgeography-data-trinity (<< ${TDE-Next-Version3}~), tdeedu-data-trinity (>> ${TDE-Version3}~), tdeedu-data-trinity (<< ${TDE-Next-Version3}~)
Suggests: khelpcenter-trinity, tdeedu-trinity-doc-html
Description: Geography learning tool for Trinity
 KGeography contains maps allowing you to learn various countries or
 the political divisions of several countries.  It has several modes,
 including a map browser and games involving the names, capitals, or
 flags of the map divisions.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: kgeography-data-trinity
Architecture: all
Section: tde
Replaces: kgeography-data-kde3 (<< 4:14.0.0~), kgeography-data-trinity (<< 4:14.0.0~)
Breaks: kgeography-data-kde3 (<< 4:14.0.0~), kgeography-data-trinity (<< 4:14.0.0~)
Description: data files for KGeography
 This package contains architecture-independent data files for
 KGeography, the geography learning tool for TDE. This includes map
 and flag images.
 .
 See the kgeography package for further information.
 .
 This package is part of Trinity, as a component of the TDE education module.
 See the 'tde-trinity' and 'tdeedu-trinity' packages for more information.

Package: khangman-trinity
Architecture: any
Section: games
Replaces: khangman-kde3 (<< 4:14.0.0~), khangman-trinity (<< 4:14.0.0~)
Breaks: khangman-kde3 (<< 4:14.0.0~), khangman-trinity (<< 4:14.0.0~)

## tdeedu-trinity 14.0.5

=== debian/changelog ===
tdeedu-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 04:11:32 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Section: tde
 Replaces: kdeedu-kde3 (<< 4:14.0.0~), kdeedu-trinity (<< 4:14.0.0~)
 Breaks: kdeedu-kde3 (<< 4:14.0.0~), kdeedu-trinity (<< 4:14.0.0~)
-Depends: blinken-trinity (>= ${Source-Version}), kalzium-trinity (>= ${Source-Version}), kanagram-trinity (>= ${Source-Version}), kbruch-trinity (>= ${Source-Version}), tdeedu-data-trinity (>= ${Source-Version}), keduca-trinity (>= ${Source-Version}), kgeography-trinity (>= ${Source-Version}), khangman-trinity (>= ${Source-Version}), kig-trinity (>= ${Source-Version}), kiten-trinity (>= ${Source-Version}), klatin-trinity (>= ${Source-Version}), klettres-trinity (>= ${Source-Version}), kmplot-trinity (>= ${Source-Version}), kpercentage-trinity (>= ${Source-Version}), kstars-trinity (>= ${Source-Version}), ktouch-trinity (>= ${Source-Version}), kturtle-trinity (>= ${Source-Version}), kverbos-trinity (>= ${Source-Version}), kvoctrain-trinity (>= ${Source-Version}), kwordquiz-trinity (>= ${Source-Version}), indi-trinity (>= ${Source-Version})
+Depends: blinken-trinity (>= ${source:Version}), kalzium-trinity (>= ${source:Version}), kanagram-trinity (>= ${source:Version}), kbruch-trinity (>= ${source:Version}), tdeedu-data-trinity (>= ${source:Version}), keduca-trinity (>= ${source:Version}), kgeography-trinity (>= ${source:Version}), khangman-trinity (>= ${source:Version}), kig-trinity (>= ${source:Version}), kiten-trinity (>= ${source:Version}), klatin-trinity (>= ${source:Version}), klettres-trinity (>= ${source:Version}), kmplot-trinity (>= ${source:Version}), kpercentage-trinity (>= ${source:Version}), kstars-trinity (>= ${source:Version}), ktouch-trinity (>= ${source:Version}), kturtle-trinity (>= ${source:Version}), kverbos-trinity (>= ${source:Version}), kvoctrain-trinity (>= ${source:Version}), kwordquiz-trinity (>= ${source:Version}), indi-trinity (>= ${source:Version})
 Suggests: tdeedu-trinity-doc-html
 Description: educational apps from the official Trinity release
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical

## tdeedu-trinity 14.0.6

=== debian/changelog ===
tdeedu-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Mar 2019 23:07:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: ocaml-nox, libfacile-ocaml-dev, libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, gawk, gettext, tdelibs14-trinity-dev, libboost-python-dev (>= 1.33.1), libusb-dev, sharutils, doxygen, graphviz, texlive-latex-base, ghostscript, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: ocaml-nox, libfacile-ocaml-dev, libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, gawk, tdelibs14-trinity-dev, libboost-python-dev (>= 1.33.1), libusb-dev, sharutils, doxygen, graphviz, texlive-latex-base, ghostscript, libogg-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: tdeedu-trinity

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_INSTALL_SOURCEDIR := $(DEB_DESTDIR)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --includedir="/opt/trinity/include/tde" --mandir="/opt/trinity/share/man" --infodir="/opt/trinity/share/info"

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# Ensure that kig's python scripting built successfully.
common-build-arch::
	test -e $(DEB_BUILDDIR)/kig/scripting/libscripting.la

# kalzium/solver doesn't work with builddir != srcdir; work around
# this by copying from srcdir to builddir
common-configure-impl:: debian/stamp-solver-copy

common-install-prehook-arch::
	cp -f debian/indi-trinity.install.kfreebsd-i386 debian/indi-trinity.install.kfreebsd-amd64

build/kig-trinity::
	cp $(DEB_SRCDIR)/doc/kig/scripting-api/*.png $(DEB_BUILDDIR)/doc/kig/scripting-api/
	cd $(DEB_BUILDDIR)/doc/kig/scripting-api && doxygen Doxyfile.scripting-api
	install -d -m 755 $(DEB_BUILDDIR)/doc/kig/scripting-api/build/html/ debian/tmp/opt/trinity/share/doc/tde/HTML/en/kig/scripting-api/
	install -m644  $(DEB_BUILDDIR)/doc/kig/scripting-api/build/html/* debian/tmp/opt/trinity/share/doc/tde/HTML/en/kig/scripting-api/



debian/stamp-solver-copy:
	rm -rf $(DEB_BUILDDIR)/kalzium/src/solver/
	mkdir -p $(DEB_BUILDDIR)/kalzium/src
	cp -a $(DEB_SRCDIR)/kalzium/src/solver/ $(DEB_BUILDDIR)/kalzium/src/solver
	touch $@

clean::
	rm -f debian/indi.install.kfreebsd-amd64
	rm -f debian/stamp-solver-copy

DEB_INSTALL_DOCS_ALL :=

DEB_INSTALL_CHANGELOGS_ALL = $(shell for f in ChangeLog CHANGELOG CHANGES; do if test -s $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; then echo $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; break; fi; done)

DEB_DH_MAKESHLIBS_ARGS_libtdeedu3-trinity := -V'libtdeedu3-trinity'
DEB_DH_MAKESHLIBS_ARGS_libkiten1-trinity := -V'libkiten1-trinity'

PACKAGES_WITH_LIBS := libtdeedu3-trinity libkiten1-trinity kvoctrain-trinity

## tdeedu-trinity 14.0.8

=== debian/changelog ===
tdeedu-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:08:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: ocaml-nox, libfacile-ocaml-dev, libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, gawk, tdelibs14-trinity-dev, libboost-python-dev (>= 1.33.1), libusb-dev, sharutils, doxygen, graphviz, texlive-latex-base, ghostscript, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 9~), cdbs (>= 0.4.39-0.1), quilt, cmake, tdelibs14-trinity-dev, libnum-ocaml-dev | ocaml-nox (<< 4.08), libfacile-ocaml-dev, libasound2-dev, gawk, libboost-python-dev (>= 1.33.1), libusb-dev, sharutils, doxygen, graphviz, texlive-latex-base, texlive-latex-extra, ghostscript, libogg-dev
 Standards-Version: 3.8.4
 
 Package: tdeedu-trinity

## tdeedu-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( tdeedu )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )
enable_testing( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )

option( WITH_GCC_VISIBILITY       "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_ARTS                 "Enable aRts support"                               ${WITH_ALL_OPTIONS} )
option( WITH_OCAML_SOLVER         "Enable ocalm/facile solver (kalzium)"              ${WITH_ALL_OPTIONS} )
option( WITH_LIBUSB               "Enable libusb support (kstars)"                    ${WITH_ALL_OPTIONS} )
option( WITH_V4L                  "Enable video4linux support (kstars)"               ${WITH_ALL_OPTIONS} )
option( WITH_KIG_PYTHON_SCRIPTING "Enable python scripting in kig"                    ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON )

option( BUILD_BLINKEN     "Build blinken"       ${BUILD_ALL} )
option( BUILD_KALZIUM     "Build kalzium"       ${BUILD_ALL} )
option( BUILD_KANAGRAM    "Build kanagram"      ${BUILD_ALL} )
option( BUILD_KBRUCH      "Build kbruch"        ${BUILD_ALL} )
option( BUILD_KEDUCA      "Build keduca"        ${BUILD_ALL} )
option( BUILD_KGEOGRAPHY  "Build kgeography"    ${BUILD_ALL} )
option( BUILD_KHANGMAN    "Build khangman"      ${BUILD_ALL} )
option( BUILD_KIG         "Build kig"           ${BUILD_ALL} )
option( BUILD_KITEN       "Build kiten"         ${BUILD_ALL} )
option( BUILD_KLATIN      "Build klatin"        ${BUILD_ALL} )
option( BUILD_KLETTRES    "Build klettres"      ${BUILD_ALL} )
option( BUILD_KMPLOT      "Build kmplot"        ${BUILD_ALL} )
option( BUILD_KPERCENTAGE "Build kpercentage"   ${BUILD_ALL} )
option( BUILD_KSTARS      "Build kstars"        ${BUILD_ALL} )
option( BUILD_KTOUCH      "Build ktouch"        ${BUILD_ALL} )
option( BUILD_KTURTLE     "Build kturtle"       ${BUILD_ALL} )
option( BUILD_KVERBOS     "Build kverbos"       ${BUILD_ALL} )
option( BUILD_KVOCTRAIN   "Build kvoctrain"     ${BUILD_ALL} )
option( BUILD_KWORDQUIZ   "Build kwordquiz"     ${BUILD_ALL} )
option( BUILD_DOC         "Build documentation" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( applnk    )
add_subdirectory( libtdeedu )
tde_conditional_add_subdirectory( BUILD_BLINKEN     blinken     )
tde_conditional_add_subdirectory( BUILD_KALZIUM     kalzium     )
tde_conditional_add_subdirectory( BUILD_KANAGRAM    kanagram    )
tde_conditional_add_subdirectory( BUILD_KBRUCH      kbruch      )
tde_conditional_add_subdirectory( BUILD_KEDUCA      keduca      )
tde_conditional_add_subdirectory( BUILD_KGEOGRAPHY  kgeography  )
tde_conditional_add_subdirectory( BUILD_KHANGMAN    khangman    )
tde_conditional_add_subdirectory( BUILD_KIG         kig         )
tde_conditional_add_subdirectory( BUILD_KITEN       kiten       )
tde_conditional_add_subdirectory( BUILD_KLATIN      klatin      )
tde_conditional_add_subdirectory( BUILD_KLETTRES    klettres    )
tde_conditional_add_subdirectory( BUILD_KMPLOT      kmplot      )
tde_conditional_add_subdirectory( BUILD_KPERCENTAGE kpercentage )
tde_conditional_add_subdirectory( BUILD_KSTARS      kstars      )
tde_conditional_add_subdirectory( BUILD_KTOUCH      ktouch      )
tde_conditional_add_subdirectory( BUILD_KTURTLE     kturtle     )
tde_conditional_add_subdirectory( BUILD_KVERBOS     kverbos     )
tde_conditional_add_subdirectory( BUILD_KVOCTRAIN   kvoctrain   )
tde_conditional_add_subdirectory( BUILD_KWORDQUIZ   kwordquiz   )
tde_conditional_add_subdirectory( BUILD_DOC         doc         )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== kig/kig/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kigpart (static)

tde_add_library( kigpart STATIC_PIC AUTOMOC

  SOURCES
        kig_document.cc
        kig_part.cpp
        kig_view.cpp
        kig_commands.cpp
  LINK
     tdeprint-shared
     tdeio-shared
)


##### kig (executable)

tde_add_executable( kig AUTOMOC

  SOURCES
        main.cpp
        kig.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeparts-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

install(
    FILES kigui.rc kigpartui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kig
)

tde_create_translated_desktop(
    SOURCE kig.desktop
    PO_DIR kig-desktops
)

tde_create_translated_desktop(
    SOURCE kig_part.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kig-desktops
)

=== kig/misc/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kigmisc (static)

tde_add_library( kigmisc STATIC_PIC AUTOMOC

  SOURCES
        argsparser.cpp
        builtin_stuff.cc
        calcpaths.cc
        common.cpp
        conic-common.cpp
        coordinate.cpp
        coordinate_system.cpp
        cubic-common.cc
        goniometry.cc
        guiaction.cc
        kigfiledialog.cc
        kiginputdialog.cc
        kignumerics.cpp
        kigpainter.cpp
        kigtransform.cpp
        lists.cc
        object_constructor.cc
        object_hierarchy.cc
        rect.cc screeninfo.cc
        special_constructors.cc
)

=== debian/changelog ===
tdeedu-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:52:57 +0200

## tdeedu-trinity 14.0.10

=== debian/changelog ===
tdeedu-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: tdeedu-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: debhelper (>= 9~), cdbs (>= 0.4.39-0.1), quilt, cmake, tdelibs14-trinity-dev, libnum-ocaml-dev | ocaml-nox (<< 4.08), libfacile-ocaml-dev, libasound2-dev, gawk, libboost-python-dev (>= 1.33.1), libusb-dev, sharutils, doxygen, graphviz, texlive-latex-base, texlive-latex-extra, ghostscript, libogg-dev
+Build-Depends: debhelper (>= 9~), cdbs (>= 0.4.39-0.1), quilt, cmake, tdelibs14-trinity-dev, libnum-ocaml-dev | ocaml-nox (<< 4.08), libfacile-ocaml-dev, libboost-python-dev (>= 1.33.1), libusb-dev, doxygen, graphviz, texlive-latex-base, texlive-latex-extra, ghostscript
 Standards-Version: 3.8.4
 
 Package: tdeedu-trinity

## tdeedu-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( tdeedu )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
tdeedu-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 30 Sep 2021 01:07:40 +0200

## tdeedu-trinity 14.0.12

=== debian/changelog ===
tdeedu-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:22:38 +0100

## tdeedu-trinity 14.0.13

=== debian/changelog ===
tdeedu-trinity (4:14.0.13-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 19 Sep 2022 04:09:14 +0200

## tdeedu-trinity 14.1.0

=== doc/man/kanagram/CMakeLists.txt ===
INSTALL(
    FILES kanagram.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== doc/man/klettres/CMakeLists.txt ===
INSTALL(
    FILES klettres.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== doc/man/ktouch/CMakeLists.txt ===
INSTALL(
    FILES ktouch.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== doc/man/kverbos/CMakeLists.txt ===
INSTALL(
    FILES kverbos.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== debian/changelog ===
tdeedu-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdeedu

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100
